<template>
  <v-container>
    <v-row class="justify-start">
      <v-col cols="4" v-for="(booking, index) in bookings" :key="index">
        <Booked
          :registration-number="booking?.vehicle?.registrationNumber"
          :category="booking.vehicle?.category"
          :make="booking?.vehicle?.make"
          :model="booking?.vehicle?.model"
          :fuel-type="booking.vehicle?.fuelType"
          :price-per-day="booking.vehicle?.pricePerDay"
          :start-date="booking?.startDate"
          :end-date="booking?.endDate"
        />
      </v-col>
    </v-row>
  </v-container>
</template>

<script lang="ts">
import { defineComponent, computed } from "vue";

// Components
import Booked from "@/components/Booked.vue";

import { useBookedStore } from "@/stores/booked";
// import type { Booking } from "@/ts/types";

export default defineComponent({
  name: "Dashboard",
  components: {
    Booked,
  },
  setup() {
    const bookings = computed(() => {
      return useBookedStore().getBooked;
    });
    return { bookings };
  },
});
</script>
